/* navbar css */

#header-name{
    position: fixed;
    top: 10px;
    left: 10px;
    font-size: 28px;
    font-weight: 600;
}

.nav-bar-list {
    float: left;
    list-style-type: none;
    margin-inline-start: 200px;
}

.nav-bar-item {
    display: inline-block;
    float: none;
    margin: 12px 0px 12px 20px;
    font-size: 18px;
    font-weight: 600;
}

.nav-bar-item :hover {
    background-color: darkslateblue;
    color: white;
    cursor: pointer;
    border-radius: 15px;
}

.nav-bar-item a {
    padding: 5px 10px;
    display: block;
    text-decoration: none;
    color: darkslateblue;
}

.nav-bar-item :focus {
    background-color: lightgray;
    color: darkslateblue;
    border-radius: 15px;
}

/* user profile css */

.dropdown {
    position: fixed;
    top: 0px;
    right: 0px;
}

.dropbtn {
    color: darkslateblue;
    margin: 10px;
    padding: 6.5px 10px;
    font-size: 18px;
    font-weight: 600;
    border: none;
    cursor: pointer;
    background-color: transparent;
}

.dropdown-content {
    right: 0;
    display: none;
    position: absolute;
    background-color: white;
    min-width: 140px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 20px;
}

.dropdown-content a {
    color: darkslateblue;
    font-size: 14px;
    font-weight: 600;
    text-align: center;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    border-radius: 20px;

}

.dropdown-content a:hover {
    background-color: lightsteelblue;
    box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.2);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:focus{
    outline: none;
}

.dropdown:hover .dropbtn {
    color: white;
    background-color: darkslateblue;
    box-shadow: 0px 2px 4px 3px rgba(0, 0, 0, 0.2);
    border-radius: 50px;
}

.userbtn {
    font-size: 14px;
    font-weight: 600;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    border: none;
    color: darkslateblue;
    background: transparent;
    width: 100%;
    cursor: pointer;
    border-radius: 20px;
}

.userbtn:hover {
    background-color: lightsteelblue;
    box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.2);
}

/* user status */

.userstatus {
    position: fixed;
    top: 20px;
    right: 140px;
    width: auto;
    display: block;
    background: transparent;
}

.userstatus-btn{
    background-color: transparent;
    border: none;
    font-size: 14px;
    font-weight: 600;
}

.userstatus-drop{
    display: none;
    position: absolute;
    background-color: white;
    min-width: 60px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 10px;
}

.userstatus:hover .userstatus-drop{
    display: block;
}

.userstatus-choose {
    font-size: 14px;
    font-weight: 600;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    border: none;
    color: darkslateblue;
    background: transparent;
    width: 100%;
    cursor: pointer;
    border-radius: 10px;
}

.userstatus-choose:hover{
    background-color: lightsteelblue;
    box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.2);
}

.dot {
    height: 12px;
    width: 12px;
    border-radius: 50%;
    display: inline-block;
    box-shadow: 0px 0px 0px 1px rgba(255, 255, 255, 10);
}

.dot-online {
    background-color: lime;
}

.dot-offline {
    background-color: red;
}

.dot-away {
    background-color: yellow;
}